Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class PortalObjectManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.PortalObjectManagerBean

All Implemented Interfaces:
  java.io.Serializable, AddPageAction.Listener

    public class PortalObjectManagerBean

extends java.lang.Object
implements java.io.Serializable, AddPageAction.Listener

The portal object manager bean.

See Also:
  Serialized Form

Nested Class Summary
`class` | `PortalObjectManagerBean.PortalObjectAuthorizationBean`

Field Summary
`PageManagerBean` | `pageManager` .

Constructor Summary
`PortalObjectManagerBean()`

Method Summary
`void` | `destroyObject(javax.faces.event.ActionEvent ae)`
`AuthorizationBean` | `getAuth()`
`java.util.List` | `getAvailableContentTypes()`
`ControlPropertiesBean` | `getControlProperties()`
`CoordinationConfigurator` | `getCoordinationService()`
`DomainConfigurator` | `getDomainConfigurator()`
`InstanceContainer` | `getInstanceContainer()`
`javax.faces.model.SelectItem[]` | `getInstanceItems()`
`LayoutService` | `getLayoutService()`
`javax.faces.model.SelectItem[]` | `getListenerIds()`
`PortalEventListenerRegistry` | `getListenerRegistry()`
`java.lang.Boolean` | `getMaximizedStateExists()`
`java.lang.String` | `getNamespace()`
`javax.faces.model.SelectItem[]` | `getPortalItems()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`javax.faces.model.SelectItem[]` | `getPortalPageItems()`
`org.jboss.portal.portlet.PortletInvoker` | `getPortletDefinitionInvoker()`
`java.lang.String` | `getPreviewURL()`
`java.lang.String` | `getReadableObjectTypeFor(int portalObjectType)`
`java.util.Map` | `getRenderParameters()`
`java.util.Map<java.lang.String,java.lang.String>` | `getRequestParameterMap()`
`org.jboss.portal.identity.RoleModule` | `getRoleModule()`
`java.lang.String` | `getSelectedContentEditorInstance()`
`java.util.Map` | `getSelectedContentParameters()`
`ContentType` | `getSelectedContentType()`
`java.lang.String` | `getSelectedContentURI()`
`PortalObject` | `getSelectedDeletingObject()`
`PortalObject` | `getSelectedObject()`
`PortalObject` | `getSelectedObjectParent()`
`java.util.List` | `getSelectedObjectPath()`
`java.lang.String` | `getSelectedObjectType()` Helper method to recognize object type in EL easily
`java.lang.String` | `getSelectedPlugin()`
`PortalObjectId` | `getSelectedPortalObjectId()`
`PropertiesBean` | `getSelectedProperties()`
`ThemeBean` | `getTheme()`
`ThemeService` | `getThemeService()`
`java.lang.String` | `makeObjectDefault()`
`void` | `pageCreated(Page page)` The implication configure properly the page security for default access.
`void` | `processEvent(javax.faces.event.ActionEvent event)`
`void` | `refresh()`
`void` | `selectDeletingObject(javax.faces.event.ActionEvent ae)`
`java.lang.String` | `selectObject()`
`void` | `selectObject(javax.faces.event.ActionEvent ae)`
`void` | `selectObject(PortalObject po)`
`void` | `selectObject(PortalObjectId id)`
`void` | `selectParentObject(javax.faces.event.ActionEvent actionEvent)`
`void` | `selectPlugin()`
`void` | `selectRootObject(javax.faces.event.ActionEvent ae)`
`void` | `setCoordinationService(CoordinationConfigurator coordinationService)`
`void` | `setDomainConfigurator(DomainConfigurator domainConfigurator)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setLayoutService(LayoutService layoutService)`
`void` | `setListenerRegistry(PortalEventListenerRegistry listenerRegistry)`
`void` | `setMaximizedStateExists(java.lang.Boolean maximizedStateExists)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setPortalObjectContainer(PortalObjectContainer poc)`
`void` | `setRenderParameters(java.util.Map renderParameters)`
`void` | `setRoleModule(org.jboss.portal.identity.RoleModule roleModule)`
`void` | `setSelectedContentParameters(java.util.Map selectedContentParameters)`
`void` | `setSelectedContentType(ContentType selectedContentType)`
`void` | `setSelectedContentURI(java.lang.String selectedContentURI)`
`void` | `setSelectedPlugin(java.lang.String selectedPlugin)`
`void` | `setThemeService(ThemeService themeService)`
`void` | `udpateContentType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageManager

    public PageManagerBean pageManager

  .

Constructor Detail

### PortalObjectManagerBean

    public PortalObjectManagerBean()

Method Detail

### getNamespace

    public java.lang.String getNamespace()

### setNamespace

    public void setNamespace(java.lang.String namespace)

### getAvailableContentTypes

    public java.util.List getAvailableContentTypes()

### getSelectedContentEditorInstance

    public java.lang.String getSelectedContentEditorInstance()

### getListenerRegistry

    public PortalEventListenerRegistry getListenerRegistry()

### setListenerRegistry

    public void setListenerRegistry(PortalEventListenerRegistry listenerRegistry)

### getRoleModule

    public org.jboss.portal.identity.RoleModule getRoleModule()

### setRoleModule

    public void setRoleModule(org.jboss.portal.identity.RoleModule roleModule)

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### setPortalObjectContainer

    public void setPortalObjectContainer(PortalObjectContainer poc)

### getCoordinationService

    public CoordinationConfigurator getCoordinationService()

### setCoordinationService

    public void setCoordinationService(CoordinationConfigurator coordinationService)

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getLayoutService

    public LayoutService getLayoutService()

### setLayoutService

    public void setLayoutService(LayoutService layoutService)

### getThemeService

    public ThemeService getThemeService()

### setThemeService

    public void setThemeService(ThemeService themeService)

### getSelectedContentType

    public ContentType getSelectedContentType()

### setSelectedContentType

    public void setSelectedContentType(ContentType selectedContentType)

### getSelectedContentURI

    public java.lang.String getSelectedContentURI()

### setSelectedContentURI

    public void setSelectedContentURI(java.lang.String selectedContentURI)

### getSelectedPlugin

    public java.lang.String getSelectedPlugin()

### setSelectedPlugin

    public void setSelectedPlugin(java.lang.String selectedPlugin)

### getRenderParameters

    public java.util.Map getRenderParameters()

### setRenderParameters

    public void setRenderParameters(java.util.Map renderParameters)

### getSelectedContentParameters

    public java.util.Map getSelectedContentParameters()

### setSelectedContentParameters

    public void setSelectedContentParameters(java.util.Map selectedContentParameters)

### getDomainConfigurator

    public DomainConfigurator getDomainConfigurator()

### setDomainConfigurator

    public void setDomainConfigurator(DomainConfigurator domainConfigurator)

### getPortletDefinitionInvoker

    public org.jboss.portal.portlet.PortletInvoker getPortletDefinitionInvoker()

### getAuth

    public AuthorizationBean getAuth()

### getInstanceItems

    public javax.faces.model.SelectItem[] getInstanceItems()

### getPortalPageItems

    public javax.faces.model.SelectItem[] getPortalPageItems()

### getPortalItems

    public javax.faces.model.SelectItem[] getPortalItems()

### getSelectedObjectPath

    public java.util.List getSelectedObjectPath()

### getSelectedObject

    public PortalObject getSelectedObject()

### getSelectedDeletingObject

    public PortalObject getSelectedDeletingObject()

### getSelectedProperties

    public PropertiesBean getSelectedProperties()

### getTheme

    public ThemeBean getTheme()

### getMaximizedStateExists

    public java.lang.Boolean getMaximizedStateExists()

### setMaximizedStateExists

    public void setMaximizedStateExists(java.lang.Boolean maximizedStateExists)

### selectObject

    public void selectObject(PortalObject po)

### selectObject

    public void selectObject(PortalObjectId id)

### selectObject

    public void selectObject(javax.faces.event.ActionEvent ae)

### selectDeletingObject

    public void selectDeletingObject(javax.faces.event.ActionEvent ae)

### makeObjectDefault

    public java.lang.String makeObjectDefault()

### selectObject

    public java.lang.String selectObject()

### getSelectedPortalObjectId

    public PortalObjectId getSelectedPortalObjectId()

### selectPlugin

    public void selectPlugin()

### getRequestParameterMap

    public java.util.Map<java.lang.String,java.lang.String> getRequestParameterMap()

### selectParentObject

    public void selectParentObject(javax.faces.event.ActionEvent actionEvent)

### getSelectedObjectParent

    public PortalObject getSelectedObjectParent()

### selectRootObject

    public void selectRootObject(javax.faces.event.ActionEvent ae)

### udpateContentType

    public void udpateContentType()

### destroyObject

    public void destroyObject(javax.faces.event.ActionEvent ae)

### refresh

    public void refresh()

### processEvent

    public void processEvent(javax.faces.event.ActionEvent event)

### pageCreated

    public void pageCreated(Page page)

  The implication configure properly the page security for default access.

  Specified by:
    `pageCreated` in interface `AddPageAction.Listener`

### getPreviewURL

    public java.lang.String getPreviewURL()

### getSelectedObjectType

    public java.lang.String getSelectedObjectType()

  Helper method to recognize object type in EL easily

  Returns:

### getReadableObjectTypeFor

    public java.lang.String getReadableObjectTypeFor(int portalObjectType)

### getControlProperties

    public ControlPropertiesBean getControlProperties()

### getListenerIds

    public javax.faces.model.SelectItem[] getListenerIds()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD